Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162187 - tcsh -n fails where tcsh succeeds
Summary: tcsh -n fails where tcsh succeeds
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 17:53 UTC by Bill Nottingham
Modified: 2014-09-08 10:17 UTC (History)
1 user (show)

Fixed In Version: 6.14-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-07 16:53:59 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-06-30 17:53:38 UTC
Description of problem:

In bash:

for foo in /etc/profile.d/*.csh ; do
   tcsh -n $foo || echo "$foo failed!"
done

This reports errors on scripts that run with tcsh fine.

Makes writing test scripts hard. :/

Comment 1 Miloslav Trmač 2005-07-04 13:30:59 UTC
It's even worse:

  $ tcsh -f -n
  > echo foo
  > /bin/echo foo
  foo

It seems this was broken already in BSD Net/2 csh (only 14 years ago /-: )

Comment 2 Miloslav Trmač 2005-07-07 16:53:59 UTC
Fixed in tcsh-6.14-3. It won't catch much, but at least there should
be no such obvious false positives.


Note You need to log in before you can comment on or make changes to this bug.